BufferedImageRenderPolicy.ImageBuffer (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.layer.policy
Class BufferedImageRenderPolicy.ImageBuffer

    java.lang.Object
      com.bbn.openmap.layer.policy.BufferedImageRenderPolicy.ImageBuffer

Enclosing class:
  BufferedImageRenderPolicy

    protected class BufferedImageRenderPolicy.ImageBuffer

extends java.lang.Object

Constructor Summary
`protected` | `BufferedImageRenderPolicy.ImageBuffer()`

Method Summary
`protected void` | `clear()`
`protected void` | `generate(Projection proj)`
`protected java.awt.image.BufferedImage` | `getImageBuffer()`
`protected OMScalingRaster` | `getImageRaster()`
`boolean` | `paint(java.awt.Graphics2D g, Projection proj)` Return true if something was rendered.
`protected java.awt.image.BufferedImage` | `scrubOrGetNewBufferedImage(java.awt.image.BufferedImage currentImage, int width, int height)` Given the current image buffer, and the desired width and height of the new projection, return a fresh/refreshed image buffer ready for layer painting.
`protected void` | `setImageBuffer(java.awt.image.BufferedImage bImage)`
`protected void` | `setImageRaster(OMScalingRaster imageRaster)`
`protected void` | `update(OMGraphicList list, Projection proj)` Get the updated BufferedImage, with current OMGraphics rendered into it.
`protected OMScalingRaster` | `updateRaster(java.awt.image.BufferedImage imageBuffer, Projection proj)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BufferedImageRenderPolicy.ImageBuffer

    protected BufferedImageRenderPolicy.ImageBuffer()

Method Detail

### generate

    protected void generate(Projection proj)

### paint

    public boolean paint(java.awt.Graphics2D g,
                         Projection proj)

  Return true if something was rendered.

  Parameters:
    `g` -
    `proj` -
  Returns:
    true if paint was successful for the OMScaling Raster

### update

    protected void update(OMGraphicList list,
                          Projection proj)

  Get the updated BufferedImage, with current OMGraphics rendered into it. Called with the results of layer.prepare().

  Parameters:
    `list` - OMGraphicList from layer's prepare method.
    `proj` - current projection that has buffer size information.

### updateRaster

    protected OMScalingRaster updateRaster(java.awt.image.BufferedImage imageBuffer,
                                           Projection proj)

### scrubOrGetNewBufferedImage

    protected java.awt.image.BufferedImage scrubOrGetNewBufferedImage(java.awt.image.BufferedImage currentImage,
                                                                      int width,
                                                                      int height)

  Given the current image buffer, and the desired width and height of the new projection, return a fresh/refreshed image buffer ready for layer painting. Should be clear.

  Parameters:
    `currentImage` - the current BufferedImage
    `width` - current projection width, pixels.
    `height` - current projection height, pixels.
  Returns:
    new BufferedImage if one was needed, i.e. if size changed.

### clear

    protected void clear()

### getImageBuffer

    protected java.awt.image.BufferedImage getImageBuffer()

### setImageBuffer

    protected void setImageBuffer(java.awt.image.BufferedImage bImage)

### getImageRaster

    protected OMScalingRaster getImageRaster()

  Returns:
    the imageRaster

### setImageRaster

    protected void setImageRaster(OMScalingRaster imageRaster)

  Parameters:
    `imageRaster` - the imageRaster to set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details